{
  description = "Skynet Modpack";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    utils.url = "github:numtide/flake-utils";
  };

  nixConfig = {
    bash-prompt-suffix = "[Skynet Dev] ";
    extra-substituters = "https://nix-cache.skynet.ie/skynet-cache";
    extra-trusted-public-keys = "skynet-cache:zMFLzcRZPhUpjXUy8SF8Cf7KGAZwo98SKrzeXvdWABo=";
  };

  outputs = {
    self,
    nixpkgs,
    utils,
  }:
    utils.lib.eachDefaultSystem (
      system: let
        pkgs = (import nixpkgs) {inherit system;};
        packages = with pkgs; [
          (pkgs.callPackage ./nix/packwiz.nix {})
        ];
      in rec {

        # `nix develop`
        devShells.default = pkgs.mkShell {
          name = "Skynet Mod env";
          packages = packages;
        };

        packages = {
          # nix run .#update_plugin -- update $PLUGIN_NAME
          update_plugin = (pkgs.callPackage ./nix/packwiz.nix {});
        };
      }
    );
}
